const { SlashCommandBuilder, EmbedBuilder } = require("discord.js");
const { __glob } = require("../modules/global-variables");
const subplayer = require(__glob.SUBPLAYER);
const packageJson = require(__glob.PACKAGE);

module.exports = {

    data: new SlashCommandBuilder()
    .setName("pause")
    .setDescription("Cette commande te permettera de mettre en pause ou de remettre le morceau en cours !"),

    async execute(client, interaction) {

        if(!interaction.member.voice.channel) return interaction.reply({content:"Vous devez rejoindre un salon vocal pour contrôler le Bot !", ephemeral: true})
   
        subplayer.pause(client, interaction)
    
    }

}